#!/usr/bin/env jq -Mf
.[] | 
(.[] | match("Seq_id = (.*)").captures[0].string ) as $seq_id |
(.[] | match("Start = (.*)").captures[0].string ) as $feat_start |
(.[] | match("End = (.*)").captures[0].string ) as $feat_end | 
(.[] | match("Type = (.*)").captures[0].string ) as $feat_type | 
[
	"Genome annotation",
	$source_name, 
	"" + $seq_id + ":" + $feat_start + ".." + $feat_end,
	$track, # we store $track in version field to ensure the unicity of each document (hash of db_id / version / db_name)
	join(" , "), 
	$application_url 
		+ ( $conf_path | @uri)
		+ ("&loc=")
		+ $seq_id + ":" + $feat_start + ".." + $feat_end
		+ ("&tracks=")
		+ $url_encoded_track, 
	$taxon, 
	"" , 
	$feat_type, 
	$seq_id, 
	"",
	$feat_start, 
	$feat_end, 
	"", 
	"", 
	"", 
	"", 
	"", 
	"", 
	"", 
	"", 
	"", 
	"", 
	"" 
]